Bug 606863 - Problem with evolution28-cairo package on RHEL4.8
Problem with evolution28-cairo package on RHEL4.8
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: evolution28-cairo (Show other bugs)
4.8
All Linux
medium Severity high
: rc
: ---
Assigned To: Matthew Barnes
desktop-bugs@redhat.com
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-22 12:07 EDT by Jiri Hladky
Modified: 2010-07-09 10:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-09 10:13:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Hladky 2010-06-22 12:07:43 EDT
Description of problem:

evolution28-cairo rpm package for RHEL 4.8 is broken:

1) It does not advertise that it provides libcairo.so.2 library:

/bin/rpm -q --provides evolution28-cairo
evolution28-cairo = 1.2.4-6.el4

2) It does not run ldconfig

Libraries are placed in non-standard location
/usr/evolution28/lib/

User has to run
ldconfig /usr/evolution28/lib
manually to make libraries visible to ldd.

ldconfig /usr/evolution28/lib 
should be run in post-install phase.

It seems like ldconfig is run but without this special directory "/usr/evolution28/lib"

Version-Release number of selected component (if applicable):
Name        : evolution28-cairo            Relocations: (not relocatable)
Version     : 1.2.4                             Vendor: Red Hat, Inc.
Release     : 6.el4                         Build Date: Wed 08 Aug 2007 05:54:12 PM EDT
Install Date: Tue 22 Jun 2010 11:20:00 AM EDT      Build Host: hs20-bc2-4.build.redhat.com
Group       : System Environment/Libraries   Source RPM: evolution28-cairo-1.2.4-6.el4.src.rpm
Size        : 1049566                          License: LGPL/MPL
Signature   : DSA/SHA1, Thu 11 Oct 2007 09:40:30 AM EDT, Key ID 219180cddb42a60e
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://cairographics.org
Summary     : A vector graphics library


How reproducible:
Inspect evolution28-cairo rpm package for RHEL4

Steps to Reproduce:
1. Check if libcairo.so.2 is listed in
/bin/rpm -q --provides evolution28-cairo
output.
2. Check if libcairo is in libraries known to ldd after you install evolution28-cairo rpm
ldconfig -vp | grep libcairo
Comment 1 Matthew Barnes 2010-06-23 05:45:45 EDT
That library is only for use with Evolution 2.8.  We purposefully avoid advertising that it provides libcairo.so.2 so it doesn't interfere with the cairo package you really want.
Comment 2 Jiri Hladky 2010-07-09 09:18:49 EDT
Hi Matt,

thanks for the explanation!

I would like to check with you if there are
cairo
and
cairo-devel
packages on RHEL4.

yum search cairo
on hp-bl495cg5-02.rhts.eng.bos.redhat.com 2.6.9-89.ELsmp (RHEL 4.8, x86_64)
is giving me only

evolution28-cairo-devel
evolution28-cairo

Perhaps you can point me to the right package repositories?

(Please note that cairo and cairo-devel exists for RHEL 5 and RHEL 6).

Thanks!
Jirka
Comment 3 Matthew Barnes 2010-07-09 09:49:10 EDT
I guess RHEL4 predates cairo.  Nevertheless, evolution28-cairo is not for general purpose use.
Comment 4 Jiri Hladky 2010-07-09 10:13:35 EDT
Hi Matt,

fair enough, I will not use evolution28-cairo for general purpose.

I'm building hwloc package which does not explicitly require cairo. It will allow some additional output formats but it's not required for the main functionality of that package.

Closing.

Thanks
Jirka

Note You need to log in before you can comment on or make changes to this bug.